# Internal Modules

## `_binary` Module

Binary input/output support routines.

PIL._binary.i16be(c, o=0)

PIL._binary.i16le(c, o=0)

  Converts a 2-bytes (16 bits) string to an unsigned integer.

  Parameters

    - c – string containing bytes to convert

    - o – offset of bytes to convert in string

PIL._binary.i32be(c, o=0)

PIL._binary.i32le(c, o=0)

  Converts a 4-bytes (32 bits) string to an unsigned integer.

  Parameters

    - c – string containing bytes to convert

    - o – offset of bytes to convert in string

PIL._binary.i8(c)

PIL._binary.o16be(i)

PIL._binary.o16le(i)

PIL._binary.o32be(i)

PIL._binary.o32le(i)

PIL._binary.o8(i)

PIL._binary.si16be(c, o=0)

  Converts a 2-bytes (16 bits) string to a signed integer, big endian.

  Parameters

    - c – string containing bytes to convert

    - o – offset of bytes to convert in string

PIL._binary.si16le(c, o=0)

  Converts a 2-bytes (16 bits) string to a signed integer.

  Parameters

    - c – string containing bytes to convert

    - o – offset of bytes to convert in string

PIL._binary.si32le(c, o=0)

  Converts a 4-bytes (32 bits) string to a signed integer.

  Parameters

    - c – string containing bytes to convert

    - o – offset of bytes to convert in string

## `_tkinter_finder` Module

Find compiled module linking to Tcl / Tk libraries

## `_util` Module

class PIL._util.deferred_error(ex)

  Bases: `object`

PIL._util.isDirectory(f)

PIL._util.isPath(f)

## `_version` Module

PIL._version.__version__: str

  This is the master version number for Pillow, all other uses reference this module.

## `PIL.Image.core` Module

An internal interface module previously known as `_imaging`, implemented in `_imaging.c`.